# FoundationClasses
TKernel
TColStd

# TColStd_MapOfReal Class Reference

`#include <TColStd_MapOfReal.hxx>`

Inheritance diagram for TColStd_MapOfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_MapOfReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT TColStd_MapOfReal & | Assign (const TColStd_MapOfReal &Other)
TColStd_MapOfReal & | operator= (const TColStd_MapOfReal &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TColStd_MapOfReal ()
Standard_EXPORT Standard_Boolean | Add (const Standard_Real &aKey)
Standard_EXPORT Standard_Boolean | Contains (const Standard_Real &aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Standard_Real &aKey)

## Private Member Functions

Standard_EXPORT | TColStd_MapOfReal (const TColStd_MapOfReal &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_MapOfReal::TColStd_MapOfReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_MapOfReal::~TColStd_MapOfReal | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_MapOfReal::TColStd_MapOfReal | ( | const TColStd_MapOfReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TColStd_MapOfReal::Add | ( | const Standard_Real & | aKey | ) |

Standard_EXPORT TColStd_MapOfReal& TColStd_MapOfReal::Assign | ( | const TColStd_MapOfReal & | Other | ) |

Standard_EXPORT void TColStd_MapOfReal::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TColStd_MapOfReal::Contains | ( | const Standard_Real & | aKey | ) | const

void TColStd_MapOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_MapOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_MapOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

TColStd_MapOfReal& TColStd_MapOfReal::operator= | ( | const TColStd_MapOfReal & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TColStd_MapOfReal::Remove | ( | const Standard_Real & | aKey | ) |

Standard_EXPORT void TColStd_MapOfReal::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TColStd_MapOfReal.hxx